import { AnchorProvider, Idl, Program } from '@project-serum/anchor';
import { Wallet } from '@project-serum/anchor/dist/cjs/provider';
import { ConfirmOptions, Connection, PublicKey } from '@solana/web3.js';
import { Snowflake } from '../artifacts/snowflake';
import { InstructionBuilder } from '../builders/instruction-builder';
export declare type SnowflakeType = Snowflake;
export declare const SnowflakeIDL: Idl;
/**
 * @category Core
 */
export declare class Context {
    readonly connection: Connection;
    readonly wallet: Wallet;
    readonly opts: ConfirmOptions;
    readonly program: Program<Idl>;
    readonly provider: AnchorProvider;
    readonly instructionBuilder: InstructionBuilder;
    static from(connection: Connection, wallet: Wallet, programId: PublicKey, opts?: ConfirmOptions): Context;
    static withProvider(provider: AnchorProvider, programId: PublicKey, opts?: ConfirmOptions): Context;
    constructor(provider: AnchorProvider, wallet: Wallet, program: Program, opts: ConfirmOptions);
}
