import { Connection, Transaction, TransactionInstruction, TransactionSignature } from '@solana/web3.js';
import { AnchorProvider } from '@project-serum/anchor';
import { InstructionsAndSigners } from '../models';
export declare function sleep(ms: any): Promise<unknown>;
export declare class TransactionSender {
    provider: AnchorProvider;
    constructor(provider: AnchorProvider);
    makeTxn(instructions: TransactionInstruction[]): Promise<Transaction>;
    split(instructionsAndSigners: InstructionsAndSigners, txn: Transaction): Promise<Transaction[]>;
    getErrorForTransaction: (connection: Connection, txid: string) => Promise<string[]>;
    sendOne(txn: Transaction): Promise<string>;
    sendWithWallet(instructionsAndSigners: InstructionsAndSigners): Promise<TransactionSignature>;
}
